Pinax
    EVM and SVM onchain data endpoints, plus API documentation and monitoring.
    Resources & endpoints
    EVM NFTs

    NFT Holders

    Returns wallet addresses holding NFTs from a collection, with quantity and distribution share.
    GET
    https://api.pinax.network/v1/evm/nft/holders
    Requires bearer token — sign in to inject your team’s key.

    Supported networks (9)

    Arbitrum OneArbitrum OneAvalancheAvalancheBaseBaseBNBBNBHyperEVMHyperEVMEthereumEthereumOptimismOptimismPolygonPolygonUnichainUnichain

    Required parameters

    NameTypeDescription
    networkrequired
    query
    Enum · 9The Graph Network ID for EVM networks https://thegraph.com/networks
    arbitrum-oneavalanchebasebschyperevmmainnetoptimismpolygonunichain
    e.g. mainnet
    contractrequired
    query
    ContractFilter by contract address
    e.g. 0xbd3531da5cf5857e7cfaa92426877b022e612cf8

    Optional parameters

    NameTypeDescription
    limit
    query
    integerNumber of items* returned in a single request.
    *Plan restricted.
    page
    query
    integerPage number to fetch.
    Empty data array signifies end of results.

    Response

    200 OK
    {
      "data": [
        {
          "contract": "0xbd3531da5cf5857e7cfaa92426877b022e612cf8",
          "token_standard": "ERC721",
          "address": "0x29469395eaf6f95920e59f858042f0e28d98a20b",
          "quantity": 358,
          "unique_tokens": 358,
          "percentage": 4.027902790279028,
          "network": "mainnet"
        }
      ]
    }